import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';
//列表显示
export const columns: BasicColumn[] = [
  {
    title: '工厂编码',
    dataIndex: 'FACTORY_CODE',
    width: 180,
  },
  {
    title: '机型编码',
    dataIndex: 'MAT_MODEL',
  },
  {
    title: '机型名称',
    dataIndex: 'MODEL_NAME',
  },
  {
    title: '机型描述',
    dataIndex: 'MODEL_DESC',
  },
  {
    title: '产线',
    dataIndex: 'MAT_LINE',
  },
  {
    title: '生效日期',
    dataIndex: 'EFFDATE',
  },
  // {
  //   title: '是否启用',
  //   dataIndex: 'IS_INV',
  //   customRender: ({ record }) => {
  //     const status = record.IS_INV;
  //     const enable = status === 'Y';
  //     const color = enable ? 'green' : 'red';
  //     const text = enable ? '启用' : '禁用';
  //     return h(Tag, { color: color }, () => text);
  //   },
  // },
  {
    title: '机种',
    dataIndex: 'MAT_FAMILY',
  },
  {
    title: '更新时间',
    dataIndex: 'UPDATE_TIME',
  },
  {
    title: '更新人',
    dataIndex: 'UPDATE_USER',
  },
];
//模糊查询
export const searchFormSchema: FormSchema[] = [
  {
    field: 'MAT_MODEL',
    label: '机型编码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'MODEL_NAME',
    label: '机型名称',
    component: 'Input',
    colProps: { span: 8 },
  },
];
//新增组件
export const formSchema: FormSchema[] = [
  {
    field: 'MAT_MODEL',
    label: '机型编码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    field: 'MODEL_NAME',
    label: '机型名称',
    component: 'Input',
    show: false,
    colProps: { span: 8 },
  },
  {
    field: 'FACTORY_CODE',
    label: '工厂编码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'MODEL_DESC',
    label: '机型描述',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'MAT_LINE',
    label: '产线',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'MAT_FAMILY',
    label: '机种',
    // required: true,
    component: 'Input',
    colProps: { span: 24 },
  },
];
